summaryrefslogtreecommitdiff
path: root/start-container-qemu.sh
diff options
context:
space:
mode:
authorDavid Spickett <david.spickett@linaro.org>2020-04-17 10:11:05 +0100
committerDavid Spickett <david.spickett@linaro.org>2020-04-17 13:14:27 +0000
commita0e4a3728526c912c94729b874fcdd4ae9753c84 (patch)
treecd5861b6e0fda0b4d2585e6bcd8bf9e7c25acb5a /start-container-qemu.sh
parent9870685df5ce0e2690f0632d50acb05393e13b7c (diff)
tcwg-benchmark.sh: Minor fixes
* Dedupe getting hostname for ssh toolchain URLs * Check toolchain type earlier * Error if SSH doesn't respond after reboot (and change the other uses of wait_for_ssh_server to follow the same format) Change-Id: Ib7823e5a83500e0d95912ef0d3ba993051a67533
Diffstat (limited to 'start-container-qemu.sh')
-rwxr-xr-xstart-container-qemu.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/start-container-qemu.sh b/start-container-qemu.sh
index e637ac8c..a4f26886 100755
--- a/start-container-qemu.sh
+++ b/start-container-qemu.sh
@@ -116,9 +116,9 @@ qemu_port=$(ssh $host docker port $container_id 2222 | cut -d: -f 2)
ret=0
wait_for_ssh_server $host $qemu_port || ret=$?
-if [ x"$ret" != x"0" ]; then
+if [ $ret != 0 ]; then
echo "SSH server did not respond, exiting"
- exit 1
+ exit $ret
fi
# Do not remove the container upon exit: it is now ready